Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Scale Operation Status

Get the current status of a scaling operation. Frontend polls this every 5 seconds.

GET/cluster/scale/{operation_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
operation_idstringrequired
Responses
200

Successful Response

operation_idstringrequired
directionScaleDirectionrequired
Allowed:updown
statusScaleOperationStatusrequired
Allowed:pendingin_progresscompletedfailedcancelled
current_stepintegerrequired
total_stepsinteger
default: 6
stepsStepDetail[]required
Show properties
Array of StepDetail
stepintegerrequired
namestringrequired
statusStepStatus
Allowed:pendingin_progresscompletedfailed
started_atstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
completed_atstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
detailstring | null
Show properties
Any of:
string
string
null
null
cluster_namestringrequired
namespacestringrequired
initiated_bystringrequired
created_atstring<date-time>required
updated_atstring<date-time>required
completed_atstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
error_messagestring | null
Show properties
Any of:
string
string
null
null
timing_summaryTimingSummary | null
Show properties
Any of:
TimingSummary
node_scale_duration_sinteger
default: 0
workload_restart_duration_sinteger
default: 0
cleanup_duration_sinteger
default: 0
total_duration_sinteger
default: 0
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/cluster/scale/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "operation_id": "string",
  "direction": "up",
  "status": "pending",
  "current_step": 0,
  "total_steps": 6,
  "steps": [
    {
      "step": 0,
      "name": "string",
      "status": "pending",
      "started_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "detail": "string"
    }
  ],
  "cluster_name": "string",
  "namespace": "string",
  "initiated_by": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z",
  "error_message": "string",
  "timing_summary": {
    "node_scale_duration_s": 0,
    "workload_restart_duration_s": 0,
    "cleanup_duration_s": 0,
    "total_duration_s": 0
  }
}